Bio::Biblio::Journal(3pm)

NAME
Bio::Biblio::Journal - representation of a journal

VERSION
version 1.70

SYNOPSIS
    $obj = Bio::Biblio::Journal->new(-name => 'The Perl Journal',
                                     -issn  => '1087-903X');
  #--- OR ---

    $obj = Bio::Biblio::Journal->new();
    $obj->issn ('1087-903X');

DESCRIPTION
A storage object for a journal. See its place in the class hierarchy in http://www.ebi.ac.uk/~senger/openbqs/images/bibobjects_perl.gif

  Attributes
The following attributes are specific to this class (however, you can also set and get all attributes defined in the parent classes):

  abbreviation
  issn
  name
  provider       type: Bio::Biblio::Provider

SEE ALSO

•   OpenBQS home page

    http://www.ebi.ac.uk/~senger/openbqs/

•   Comments to the Perl client

    http://www.ebi.ac.uk/~senger/openbqs/Client_perl.html =back

FEEDBACK

  Mailing lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list: bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://redmine.open-bio.org/projects/bioperl/

LEGAL

  Authors
Martin Senger <senger@ebi.ac.uk>

Heikki Lehvaslaiho <heikki@bioperl.org>

  Copyright and License
This software is Copyright (c) by 2002 European Bioinformatics Institute and released under the license of the same terms as the perl 5 programming language system itself